Civilization 4/Civ 4 Warlords patching?

I’m reinstalling Civ 4/Civ 4 Warlords. After I install both, do i need to install the latest patch for Civ 4 AND for Civ 4 Warlords, or just the Warlords patch?

I think you do because there’s a separate executable for each one - one for vanilla Civ4 and one for Warlords. Both programs though have auto-updaters so just run that for each one and you’ll be fine.

Just the warlords one, unless you also intend to play vanilla civ. In which case, probably just the warlords one.

However, FfH is still vanilla as far as I know, so that is at least one reason to keep vanilla.